net.minecraft.network

## Class ServerStatusResponse

- java.lang.Object
- - net.minecraft.network.ServerStatusResponse

-     public class ServerStatusResponse
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServerStatusResponse.MinecraftProtocolVersionIdentifier`
    `static class` | `ServerStatusResponse.PlayerCountData`
    `static class` | `ServerStatusResponse.Serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerStatusResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_151315_a(IChatComponent p_151315_1_)`
    `java.lang.String` | `func_151316_d()`
    `IChatComponent` | `func_151317_a()`
    `ServerStatusResponse.PlayerCountData` | `func_151318_b()`
    `void` | `func_151319_a(ServerStatusResponse.PlayerCountData p_151319_1_)`
    `void` | `func_151320_a(java.lang.String p_151320_1_)`
    `void` | `func_151321_a(ServerStatusResponse.MinecraftProtocolVersionIdentifier p_151321_1_)`
    `ServerStatusResponse.MinecraftProtocolVersionIdentifier` | `func_151322_c()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerStatusResponse

          public ServerStatusResponse()

  - ### Method Detail

    - #### func_151317_a

          public IChatComponent func_151317_a()

    - #### func_151315_a

          public void func_151315_a(IChatComponent p_151315_1_)

    - #### func_151318_b

          public ServerStatusResponse.PlayerCountData func_151318_b()

    - #### func_151319_a

          public void func_151319_a(ServerStatusResponse.PlayerCountData p_151319_1_)

    - #### func_151322_c

          public ServerStatusResponse.MinecraftProtocolVersionIdentifier func_151322_c()

    - #### func_151321_a

          public void func_151321_a(ServerStatusResponse.MinecraftProtocolVersionIdentifier p_151321_1_)

    - #### func_151320_a

          public void func_151320_a(java.lang.String p_151320_1_)

    - #### func_151316_d

          public java.lang.String func_151316_d()